Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class JoinConfig

    java.lang.Object
      com.sleepycat.je.JoinConfig

All Implemented Interfaces:
  Cloneable

    public class JoinConfig

extends Object
implements Cloneable

The configuration properties of a `JoinCursor`. The join cursor configuration is specified when calling `Database.join`.

To create a configuration object with default attributes:

        JoinConfig config = new JoinConfig();

To set custom attributes:

        JoinConfig config = new JoinConfig();
        config.setNoSort(true);

See Also:
  `Database.join`, `JoinCursor`

Constructor Summary
`JoinConfig()` Creates an instance with the system's default settings.

Method Summary
`boolean` | `getNoSort()` Returns whether automatic sorting of the input cursors is disabled.
`void` | `setNoSort(boolean noSort)` Specifies whether automatic sorting of the input cursors is disabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinConfig

    public JoinConfig()

  Creates an instance with the system's default settings.

Method Detail

### setNoSort

    public void setNoSort(boolean noSort)

  Specifies whether automatic sorting of the input cursors is disabled.

  Joined values are retrieved by doing a sequential iteration over the first cursor in the cursor array, and a nested iteration over each following cursor in the order they are specified in the array. This requires database traversals to search for the current datum in all the cursors after the first. For this reason, the best join performance normally results from sorting the cursors from the one that refers to the least number of data items to the one that refers to the most. Unless this method is called with true, `Database.join` does this sort on behalf of its caller.

  If the data are structured so that cursors with many data items also share many common elements, higher performance will result from listing those cursors before cursors with fewer data items; that is, a sort order other than the default. Calling this method permits applications to perform join optimization prior to calling `Database.join`.

  Parameters:
    `noSort` - whether automatic sorting of the input cursors is disabled.

  See Also:
    `Database.join`

### getNoSort

    public boolean getNoSort()

  Returns whether automatic sorting of the input cursors is disabled.

  Returns:
    whether automatic sorting of the input cursors is disabled.

  See Also:
    `setNoSort(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.